Skip to main content
GET
/
open-api
/
v1.0
/
gifting
/
draw
/
{id}
Get draw
curl --request GET \
  --url https://api.fourthwall.com/open-api/v1.0/gifting/draw/{id} \
  --header 'Authorization: Basic <encoded-value>'
{ "id": "gdr_EdJvIXu3SEiXe_QkPavHSA", "type": "INITIAL", "giveawayId": "giv_EdJvIXu3SEiXe_QkPavHSA", "giveawayFriendlyId": "D3XZFWPP", "shopId": "sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb", "offer": { "id": "00aa4abd-5778-4199-8161-0b49b2f212e5", "name": "My t-shirt", "slug": "my-t-shirt", "description": "My t-shirt description", "primaryImage": { "id": "00aa4abd-5778-4199-8161-0b49b2f212e5", "url": "https://fourthwall.com/image.png", "width": 800, "height": 600, "transformedUrl": "https://fourthwall.com/image.png" } }, "amounts": { "subtotal": { "value": 10, "currency": "USD" }, "total": { "value": 10, "currency": "USD" } }, "email": "supporter@fourthwall.com", "gifts": [ { "id": "gft_EdJvIXu3SEiXe_QkPavHSA", "orderId": "00aa4abd-5778-4199-8161-0b49b2f212e5", "orderFriendlyId": "D3XZFWPP", "winner": { "selectedAt": "2020-08-13T09:05:36.939Z", "redeemUri": "<string>", "email": "supporter@fourthwall.com", "username": "Johnny123" }, "status": "<string>" } ], "createdAt": "2023-11-07T05:31:56Z", "durationSeconds": 123, "username": "Johnny123", "message": "Sample message" }

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

Response

OK

id
string
required
Example:

"gdr_EdJvIXu3SEiXe_QkPavHSA"

type
enum<string>
required
Available options:
INITIAL,
REDO
giveawayId
string
required
Example:

"giv_EdJvIXu3SEiXe_QkPavHSA"

giveawayFriendlyId
string
required
Example:

"D3XZFWPP"

shopId
string
required
Example:

"sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb"

offer
Offer Gift Purchase · object
required
amounts
Amounts · object
required
email
string
required
Example:

"supporter@fourthwall.com"

gifts
Available · object · Available · object · Available · object · Available · object · Available · object · Cancelled · object · Changed To Gift Card · object · Changed To Promotion · object · Redeemed · object[]
required
createdAt
string<date-time>
required
durationSeconds
integer<int64>
required
username
string
Example:

"Johnny123"

message
string
Example:

"Sample message"